MCP Tools Reference: paydeveloper.googleapis.com

Tool: search_documentation

Searches and retrieves the most relevant, up-to-date sections from the official Google Pay and Google Wallet developer documentation and code samples.

The following sample demonstrate how to use curl to invoke the search_documentation MCP tool.

Curl Request
                  
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "search_documentation",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for searching documentation.

SearchDocumentationRequest

JSON representation
{
  "userQuery": string,
  "languageCode": string
}
Fields
userQuery

string

Optional. The query to search for.

languageCode

string

Optional. The IETF BCP-47 language code of the search query.

Output Schema

Response message for searching documentation.

SearchDocumentationResponse

JSON representation
{
  "results": [
    {
      object (DocumentChunk)
    }
  ]
}
Fields
results[]

object (DocumentChunk)

The document chunks matching the search query, and sorted using a relevance score that assesses the similarity between the user query and the content of the chunk.

DocumentChunk

JSON representation
{
  "title": string,
  "uri": string,
  "content": string
}
Fields
title

string

Specifies the title of the document that the chunk belongs to.

uri

string

Specifies the URI for the document that the chunk belongs to.

content

string

Contains the content of the chunk.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌